Name: fpc
Version: 1.0.6
Release: alt1.1

Summary: Free Pascal Compiler
License: GPL
Group: Development/Other

URL: http://www.freepascal.org
Source: fpc-1.0.6-src.tar.bz2
# NB: tarball is hand-made from bunch of zipfiles

BuildPreReq: fpc
# bootstraps with

ExclusiveArch: %{ix86}

Summary(ru_RU.KOI8-R):   Pascal
Summary(uk_UA.KOI8-U):  Ц Pascal

%define fpcdir %_libdir/%name/%version
%define builddocdir %buildroot/%_defaultdocdir/%name-%version

%description	
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32bit
Pascal Compiler. It comes with fully TP 7.0 compatible run-time library.
Some extensions are added to the language, like function overloading. Shared
libraries can be linked. Basic Delphi support is already implemented (classes,
exceptions,ansistrings,RTTI). This package contains commandline compiler and
utils. Provided units are the runtime library (RTL), free component library
(FCL), gtk,ncurses,zlib, mysql,postgres,ibase bindings.

%description -l ru_RU.KOI8-R
FPC -- 32-  Pascal,   Turbo Pascal 7.0  Delphi. 
  RTL (  ), FCL ( 
),   gtk, ncurses, zlib, mysql, postgres, ibase.

%description -l uk_UA.KOI8-U
FPC -- 32-¦ Ц Pascal, ͦ  Turbo Pascal 7.0  Delphi. 
  RTL (¦̦  ), FCL (¦̦ צ
),   gtk, ncurses, zlib, mysql, postgres, ibase.

%prep
%setup -c

%build
NEWPP=`pwd`/compiler/ppc386
	make compiler_cycle FPC_VERSION=`ppc386 -iV`
	make rtl_clean rtl_smart FPC=${NEWPP}
	make packages_base_smart FPC=${NEWPP}
	make fcl_smart FPC=${NEWPP}
	make packages_extra_smart FPC=${NEWPP}
	make utils_all FPC=${NEWPP}

%install
NEWPP=`pwd`/compiler/ppc386
INSTALLOPTS="FPC=${NEWPP} INSTALL_PREFIX=%{buildroot}/usr INSTALL_DOCDIR=%{builddocdir}"
	make compiler_distinstall ${INSTALLOPTS}
	make rtl_distinstall ${INSTALLOPTS}
	make packages_distinstall ${INSTALLOPTS}
	make fcl_distinstall ${INSTALLOPTS}
	make utils_distinstall ${INSTALLOPTS}


	make fcl_exampleinstall ${INSTALLOPTS} TARGET_EXAMPLEDIRS=%builddocdir
	make packages_exampleinstall ${INSTALLOPTS} TARGET_EXAMPLEDIRS=%builddocdir

	make demo_install ${INSTALLOPTS} INSTALL_SOURCEDIR=%{builddocdir}/demos
#	make fpc_exampleinstall ${INSTALLOPTS} INSTALL_EXAMPLEDIR=%{builddocdir}
#	make example_install ${INSTALLOPTS} INSTALL_EXAMPLEDIR=%{builddocdir}
	make doc_install ${INSTALLOPTS}
	make man_install ${INSTALLOPTS} INSTALL_MANDIR=%buildroot%_mandir

	cd %buildroot%_bindir
	ln -sf %fpcdir/ppc386 ppc386
#	cd -

#FPCDIR=%{fpcdir}

# create link
#ln -sf $FPCDIR/ppc386 /usr/bin/ppc386

# Create config
#$FPCDIR/samplecfg $FPCDIR

# update ld.so cache
#ldconfig

%files
%_bindir/*
%_libdir/%name/*
%_man1dir/*
%_man5dir/*
%_docdir/*

%changelog
* Mon Oct 07 2002 Michael Shigorin <mike@altlinux.ru> 1.0.6-alt1.1
- spec cleanup

* Sat Sep 19 2002 Sergey <skrivulja@erec.ru>
- adopted for Master

